Index: anuga_work/production/new_south_wales/batemans_bay/get_timeseries.py
===================================================================
--- anuga_work/production/new_south_wales/batemans_bay/get_timeseries.py	(revision 7130)
+++ anuga_work/production/new_south_wales/batemans_bay/get_timeseries.py	(revision 7132)
@@ -18,17 +18,17 @@
 directory = project.output_folder
 
-##time_dir1 = '20081009_184721_run_final_0.6_68693_alpha0.1_kvanputt'+sep+'gauge'
-##time_dir2 = '20081031_120316_run_final_0_68693_alpha0.1_kvanputt'+sep+'gauge'
-##time_dir3 = '20081031_120515_run_final_0_27255_alpha0.1_kvanputt'+sep+'gauge'
-##time_dir4 = '20081031_120642_run_final_0_27283_alpha0.1_kvanputt'+sep+'gauge'
-##time_dir5 = '20081031_120753_run_final_0.6_27283_alpha0.1_kvanputt'+sep+'gauge'
-##time_dir6 = '20081111_113832_run_final_0.6_27255_alpha0.1_kvanputt'+sep+'gauge'
-##
-##time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dir1 = '20090520_144937_run_final_0.0_58272_jgriffin'
+time_dir2 = '20090520_145453_run_final_0.0_58115_jgriffin'
+time_dir3 = '20090520_145156_run_final_1.0_58272_jgriffin'
+time_dir4 = '20090520_145208_run_final_0.0_51445_jgriffin'
+time_dir5 = '20090520_145510_run_final_0.0_58129_jgriffin'
+time_dir6 = '20090520_145608_run_final_0.0_58226_jgriffin'
+time_dir7 = '20090520_145616_run_final_0.0_58284_jgriffin'
+time_dir8 = '20090520_145700_run_final_0.0_58286_jgriffin'
+time_dir9 = '20090525_093040_run_final_1.0_51445_jgriffin'
 
-##time_dir1 = '20081217_115336_run_final_0_27283_250m_none_dp_kvanputt'
-time_dir6 = '20090306_165253_run_final_0_58368_jgriffin'
 
-time_dirs = [time_dir6]
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6, time_dir7, time_dir8, time_dir9]
+
 
 for time_dir in time_dirs:
@@ -36,5 +36,5 @@
     gauge = project.gauges
     sww2csv_gauges(name+'.sww',gauge,
-                   quantities = ['stage','speed','depth','elevation'],
+                   quantities = ['stage','speed','depth'],
                    verbose=True)
   
Index: anuga_work/production/new_south_wales/batemans_bay/project.py
===================================================================
--- anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7130)
+++ anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7132)
@@ -26,5 +26,5 @@
 # Model specific parameters.
 # One or all can be changed each time the run_model script is executed
-tide = 1.0                # difference between MSL and HAT (1.0)
+tide = 0.0                # difference between MSL and HAT (1.0)
 
 # the event number or the mux file name
@@ -34,6 +34,8 @@
 ##event_number = 58284    #1 in 2000 yr
 ##event_number = 58286    #1 in 5000 yr
-##event_number = 58272      #1 in 10000 yr Puysegur
-event_number = 51445     #1 in 10000 yr New Hebrides
+####event_number = 58272      #1 in 10000 yr Puysegur????
+####event_number = 51445     #1 in 10000 yr New Hebrides????
+##event_number = 58346      #1 in 10000 yr Puysegur
+event_number = 51204     #1 in 10000 yr New Hebrides
 ##event_number = 58368    #1 in 100 000 yr Puysegur!!!
 ##event_number = 51436    #1 in 100 000 yr New Hebrides!!!
Index: anuga_work/production/new_south_wales/gosford/export_results_max.py
===================================================================
--- anuga_work/production/new_south_wales/gosford/export_results_max.py	(revision 7130)
+++ anuga_work/production/new_south_wales/gosford/export_results_max.py	(revision 7132)
@@ -29,6 +29,6 @@
 ##time_dirs = [time_dir1, time_dir2]#, time_dir3]
 
-time_dir1 = '20090521_120108_run_final_1.0_58242_jgriffin'
-##time_dir2 = '20081211_162311_run_final_0_27255_alpha0.1_kvanputt'
+time_dir1 = '20090526_091618_run_final_0.0_58025_jgriffin'
+##time_dir2 = '20090526_091528_run_final_0.0_58113_jgriffin'
 ##time_dir3 = '20081211_162346_run_final_0_68693_alpha0.1_kvanputt'
 ##time_dir4 = '20081211_162433_run_final_0.6_68693_alpha0.1_kvanputt'
@@ -36,5 +36,5 @@
 ##time_dir6 = '20081211_162744_run_final_0_27283_alpha0.1_kvanputt'
 ##
-time_dirs = [time_dir1] #5, time_dir4]# , time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1]# time_dir2] #5, time_dir4]# , time_dir4, time_dir5, time_dir6]
   
 
Index: anuga_work/production/new_south_wales/gosford/prepare_data_hydro.py
===================================================================
--- anuga_work/production/new_south_wales/gosford/prepare_data_hydro.py	(revision 7130)
+++ anuga_work/production/new_south_wales/gosford/prepare_data_hydro.py	(revision 7132)
@@ -15,9 +15,9 @@
 
 #folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/original_reference_data/GosfordLidar/Ground/'
-folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/anuga/topographies/original/'
+folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/elevation/'
 
 
 #input_grd = glob.glob(folder + '*.grd')
-input_grd = [folder+ 'hydro.txt']
+input_grd = [folder+ 'hydro_clip.csv']
 
 for file_in in input_grd:
@@ -47,7 +47,7 @@
         fields = line.split(',')
 
-        X[i] = float(fields[0])  #easting
-        Y[i] = float(fields[1])  #northing
-        Z[i] = -1*abs(float(fields[2]))  #elevation
+        X[i] = float(fields[2])  #easting
+        Y[i] = float(fields[3])  #northing
+        Z[i] = -1*abs(float(fields[4]))  #elevation
    
 
Index: anuga_work/production/new_south_wales/gosford/project.py
===================================================================
--- anuga_work/production/new_south_wales/gosford/project.py	(revision 7130)
+++ anuga_work/production/new_south_wales/gosford/project.py	(revision 7132)
@@ -28,13 +28,13 @@
 # Model specific parameters.
 # One or all can be changed each time the run_model script is executed
-tide = 1.0                # difference between MSL and HAT in metres
+tide = 0.0                # difference between MSL and HAT in metres
 zone = 56               # specify zone of model
-event_number = 58242    # Puysegur 1 in 10 000 # the event number or the mux file name
-#event_number = 51436    # New Hebrides 1 in 10 000
+#event_number = 58242    # Puysegur 1 in 10 000 # the event number or the mux file name
+event_number = 51436    # New Hebrides 1 in 10 000
 #event_number = 58349    # Puysegur 1 in 5000
 #event_number = 58284    # Puysegur 1 in 2000
 #event_number = 58187    # Puysegur 1 in 1000
 #event_number = 58113    # Puysegur 1 in 500
-##event_number = 58025    # Puysegur 1 in 200
+#event_number = 58025    # Puysegur 1 in 200
 
 
@@ -70,6 +70,6 @@
 # Format for ascii grids, as produced in ArcGIS + a projection file
 ascii_grid_filenames = ['e151_s34_clip2',
-                        'aus197_topo2raster_clip',
-                        'hydro_topo2raster_clip']
+                        'aus197_topo2raster_clip2',
+                        'hydro_topo2raster_clip2']
                         #'aus197_topo2raster_terrigal']   #GA data??
                     
@@ -82,16 +82,11 @@
 topographies_folder = join(anuga_folder, 'topographies/original')
 
+#This reads a file containing lidar filenames and appends to a list
 file_list = join(topographies_folder, 'file_list.csv')
-###file_list2 = join(topographies_folder, 'file_list2.csv')
 fid = csv.reader(open(file_list))
-###fid2 = csv.reader(open(file_list2))
 lidar_filenames = []
 for row in fid:
     lidar_filenames.append(','.join(row))
-##for row in fid2:
-##    lidar_filenames.append(','.join(row))
-###print lidar_filenames
-#lidar_filenames = list(lidar_filenames)
-#print lidar_filenames
+
 
 # Format for point is x,y,elevation (with header)
@@ -107,5 +102,5 @@
 ##                   'XYHI339_F_HSDB_SD100031669_MGA',
 ##                   'AUS197_MGA_AHD_1972.txt',
-                   'hydro_neg.txt'
+                   'hydro_clip_neg.txt'
                    ]
 point_filenames.extend(lidar_filenames)
@@ -128,7 +123,7 @@
 # Format for points easting,northing (no header)
 
-interior_regions_data =[['aoi_umina.csv', 500],
+interior_regions_data =[['aoi_umina_large.csv', 500],
                         ['aoi_terrigal.csv', 500],
-                        ['aos_umina.csv', 2500],
+                        ['aos_umina_large.csv', 2500],
                         ['aos_terrigal.csv', 2500]]
 