Index: anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.LEO.64
===================================================================
--- anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.LEO.64	(revision 7152)
+++ anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.LEO.64	(revision 7152)
@@ -0,0 +1,30 @@
+######
+# How to install an ANUGA that uses numpy and handle large files.
+# This works on Ubuntu 8.10 64bit desktop.
+######
+
+sudo apt-get install subversion
+sudo apt-get install python-dev python-profiler
+sudo apt-get install g++
+export CFLAGS=-fPIC				# needed on 64 bit platform
+
+install numpy:
+    sudo apt-get install python-numpy		# 1.1.1
+
+install NetCDF4:
+    tar xzf netcdf.tar.gz			# 4.0.1
+    cd netcdf-4.0.1
+    ./configure
+    make check
+    sudo make install
+    cd
+
+install ScientificPython using numpy:
+    tar xzf ScientificPython-2.9.0.tar.gz	# 2.9.0
+    cd ScientificPython-2.9.0
+    python setup.py build --numpy
+    sudo python setup.py install
+    cd
+
+install matplotlib:
+    sudo apt-get install python-matplotlib
Index: anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.V1.32
===================================================================
--- anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.V1.32	(revision 7152)
+++ anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.V1.32	(revision 7152)
@@ -0,0 +1,63 @@
+######
+# How to install an ANUGA that uses numpy and handle large files.
+# This works on Ubuntu 8.10 32bit desktop.
+######
+
+# If you have any problems downloading packages, switch to
+# the Ubuntu main servers.
+
+sudo apt-get install subversion			# needed for test_all.py
+sudo apt-get install python-dev python-profiler
+sudo apt-get install g++
+sudo apt-get install python-psyco
+
+install numpy:
+    sudo apt-get install python-numpy
+
+install NetCDF4:
+    tar xzf netcdf.tar.gz
+    cd netcdf-4.0.1
+    ./configure
+    make check					# OK
+    sudo make install
+    cd
+
+install ScientificPython using numpy:
+    tar xzf ScientificPython-2.9.0.tar.gz
+    cd ScientificPython-2.9.0
+    python setup.py build --numpy
+    sudo python setup.py install
+    cd
+
+install matplotlib:
+    sudo apt-get install python-matplotlib
+
+if necessary, get ANUGA source code:
+    svn co https://datamining.anu.edu.au/svn/ga
+  or:
+    cd $HOME/ga
+    svn up
+    cd
+
+to test all of ANUGA:
+    cd $HOME/ga/branches/numpy/anuga
+    export PYTHONPATH=$HOME/ga/branches/numpy
+    python compile_all.py
+    python test_all.py				# OK
+    cd
+
+to validate ANUGA:
+    cd $HOME/ga/branches/numpy_anuga_validation/automated_validation_tests
+    python validate_all.py			# OK
+    cd
+
+to test writing/reading large files:
+    cd $HOME/write_large_files
+    # create 3GiB file, 1x3GiB variables - open file 'w' - old, normal mode
+    python rwi_big_file.py -c s 3G		# OK
+    # create 3GiB file, 1x3GiB variables - open file 'wl' - large file mode
+    python rwil_big_file.py -c s 3G 		# OK
+    # create 3GiB file, 1x3GiB variables - open file 'w4' - netcdf4 mode, uses HDF5
+    python rwi4_big_file.py -c s 3G		# expected fail - no HDF5 installed
+    cd
+
Index: anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.V1.64
===================================================================
--- anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.V1.64	(revision 7152)
+++ anuga_core/install/ubuntu/8.10/INSTALL.STAGE1.V1.64	(revision 7152)
@@ -0,0 +1,63 @@
+######
+# How to install an ANUGA that uses numpy and handle large files.
+# This works on Ubuntu 8.10 64bit desktop.
+######
+
+# If you have any problems downloading packages, switch to
+# the Ubuntu main servers.
+
+sudo apt-get install subversion			# needed for test_all.py
+sudo apt-get install python-dev python-profiler
+sudo apt-get install g++
+export CFLAGS=-fPIC				# needed on 64 bit platform
+
+install numpy:
+    sudo apt-get install python-numpy
+
+install NetCDF4:
+    tar xzf netcdf.tar.gz
+    cd netcdf-4.0.1
+    ./configure
+    make check					# OK
+    sudo make install
+    cd
+
+install ScientificPython using numpy:
+    tar xzf ScientificPython-2.9.0.tar.gz
+    cd ScientificPython-2.9.0
+    python setup.py build --numpy
+    sudo python setup.py install
+    cd
+
+install matplotlib:
+    sudo apt-get install python-matplotlib
+
+if necessary, get ANUGA source code:
+    svn co https://datamining.anu.edu.au/svn/ga
+  or:
+    cd $HOME/ga
+    svn up
+    cd
+
+to test all of ANUGA:
+    cd $HOME/ga/branches/numpy/anuga
+    export PYTHONPATH=$HOME/ga/branches/numpy
+    python compile_all.py
+    python test_all.py				# OK
+    cd
+
+to validate ANUGA:
+    cd $HOME/ga/branches/numpy_anuga_validation/automated_validation_tests
+    python validate_all.py			# OK
+    cd
+
+to test writing/reading large files:
+    cd $HOME/write_large_files
+    # create 3GiB file, 1x3GiB variables - open file 'w' - old, normal mode
+    python rwi_big_file.py -c s 3G		# OK
+    # create 3GiB file, 1x3GiB variables - open file 'wl' - large file mode
+    python rwil_big_file.py -c s 3G 		# OK
+    # create 3GiB file, 1x3GiB variables - open file 'w4' - netcdf4 mode, uses HDF5
+    python rwi4_big_file.py -c s 3G		# expected fail - no HDF5 installed
+    cd
+
Index: anuga_core/install/ubuntu/8.10/README
===================================================================
--- anuga_core/install/ubuntu/8.10/README	(revision 7152)
+++ anuga_core/install/ubuntu/8.10/README	(revision 7152)
@@ -0,0 +1,21 @@
+INSTALL.STAGE1.LEO.64
+---------------------
+Instructions given to Leo for 64bit install.
+
+INSTALL.STAGE1.V1.32
+--------------------
+How to install ANUGA+required software on Ubuntu 8.10, 32 bit.
+
+INSTALL.STAGE1.V1.64
+--------------------
+How to install ANUGA+required software on Ubuntu 8.10, 64 bit.
+
+netcdf.tar.gz
+-------------
+NetCDF 4.0.1 sorce package.  From: ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf.tar.gz
+(the source package download link on the front page: http://www.unidata.ucar.edu/software/netcdf/)
+
+ScientificPython-2.9.0.tar.gz
+-----------------------------
+Development package from http://sourcesup.cru.fr/projects/scientific-py/
+(require 2.9.0 since NetCDF enhancements available only in this version)