Index: anuga_work/publications/boxing_day_validation_2008/patong_validation.bbl
===================================================================
--- anuga_work/publications/boxing_day_validation_2008/patong_validation.bbl	(revision 7169)
+++ 	(revision )
@@ -1,134 +1,0 @@
-\begin{thebibliography}{10}
-
-\bibitem{kurganov01}
-Kurganov A., S.~Noelle, and G.~Petrova.
-\newblock Semidiscrete central-upwind schemes for hyperbolic conservation laws
-  and {H}amilton-{J}acobi equations.
-\newblock {\em SIAM Journal of Scientific Computing}, 23(3):707--740, 2001.
-
-\bibitem{arcas06}
-R.~Arcas and V.~V. Titov.
-\newblock Sumatra tsunami: lessons from modelling.
-\newblock {\em Surveys in Geopyhics}, 27(6):679--705, 2006.
-
-\bibitem{asavanant08}
-J.~Asavanant, M.~Ioualalen, N.~Kaewbanjak, S.~T. Grilli, P.~Watts, J.~T. Kirby,
-  and F.~Shi.
-\newblock {\em Modeling, Simulation and Optimization of Complex Processes},
-  chapter Numerical Simulation of the December 26, 2004: Indian Ocean Tsunami,
-  pages 59--68.
-\newblock Springer Berlin Heidelberg, 2008.
-
-\bibitem{bates01}
-P.D. Bates and M.G. Anderson.
-\newblock {\em Model Validation: Perspectives in Hydrological Science}, chapter
-  Validation of hydraulic models, pages 325--356.
-\newblock John Wiley and Sons, Ltd., 2001.
-
-\bibitem{synolakis05}
-Synolakis C., E.~Okal, and E.~Bernard.
-\newblock The megatsunami of {D}ecember 26 2004.
-\newblock {\em National Academy of Engineering Publications}, 2005.
-
-\bibitem{vigny05}
-Vigny C., W.J.F. Simons, S.~Abu, R.~Bamphenyu, N.~C.~Satirapod, C.~Subarya
-  Choosakul, A.~Socquet, K.~Omar, H.Z. Abidin, and B.A.C. Ambrosius.
-\newblock Insight into the 2004 {S}umatra-{A}ndaman earthquake from {GPS}
-  measurements in southeast {A}sia.
-\newblock {\em Nature}, 436:201--206, 2005.
-
-\bibitem{zoppou99}
-Zoppou C. and S.G Roberts.
-\newblock Catastrophic collapse of water supply reserviours in urban areas.
-\newblock {\em Journal of Hydraulic Engineering}, 125(7):686--695, July 1999.
-
-\bibitem{zoppou00}
-Zoppou C. and S.G Roberts.
-\newblock Numerical solution of the two-dimensional unsteady dam break.
-\newblock {\em Applied Mathematical Modelling}, 24:457--475, 2000.
-
-\bibitem{chlieh07}
-M.~Chlieh, J.-P. Avouac, V.~Hjorleifsdottir, T.-H.~A. Song, C.~Ji, K.~Sieh,
-  A.~Sladen, H.~Herbert, L.~Prawirodirdjo, Y.~Bock, and J.~Galetzka.
-\newblock Coseismic slip and afterslip of the great {M}$_w$ 9.15
-  {S}umartra-{A}ndaman earthquake of 2004.
-\newblock {\em Bulletin of the Seismological Soceity of America},
-  97(1A):S152--S173, January 2007.
-
-\bibitem{amnon05}
-Ammon C.J., C.~Ji, H.~Thio, D.~Robinson, Sidao Ni, V.~Hjorleifsdottir, H.,
-  T.~Lay, S.~Das, D.~Helmberger, G.~Ichinose, J.~Polet, and D.~Wald.
-\newblock Rupture process of the 2004 sumatra-andaman earthquake.
-\newblock {\em Science}, 308, 2005.
-
-\bibitem{grilli07}
-St\'{e}phan~T. Grilli, Mansour Ioualalen, Jack Asavanant, Fengyan Shi, James~T.
-  Kirby, and Philip Watts.
-\newblock Source constraints and model simulation of the december 26, 2004,
-  indian ocean tsunami.
-\newblock {\em Journal of Waterway, Port, Coastal, and Ocean Engineering},
-  133(6):414--428, 2007.
-
-\bibitem{ioualalen07}
-M.~Ioualalen, J.~Asavanant, N.~Kaewbanjak, S.~T. Grilli, J.~T. Kirby, and
-  P.~Watts.
-\newblock Modeling the 26 december 2004 indian ocean tsunami: Case study of
-  impact in thailand.
-\newblock {\em J. Geophys. Res.}, 112, 2007.
-
-\bibitem{nielsen05}
-Nielsen O.M, S.G Roberts, D.~Gray, A.~McPherson, and A.~Hitchman.
-\newblock Hydrodynamic modelling of coastal inundation.
-\newblock In A.~Zerger and R.M. Argent, editors, {\em MODSIM 2005 International
-  Congress on Modelling and Simulation}, pages 518--523. Modelling and
-  Simulation Society of Australia and New Zealand, 2005.
-\newblock http://www.mssanz.org.au/modsim05/papers/nielsen.pdf.
-
-\bibitem{liu05}
-Liu P.~L.-F., P.~Lynett, H.~Fernando, B.E. Jaffe, H.~Fritz, B.~Higman,
-  R.~Morton, J.~Goff, and C.~Synolakis.
-\newblock Observations by the international tsunami survey team in {S}ri
-  {L}anka.
-\newblock {\em Science}, 308:1595, 2005.
-
-\bibitem{papadopoulos06}
-G.~A. Papadopoulos, R.~Caputo, B.~McAdoo, S.~Pavlides, A.~Karastathis,
-  V.~Fokaefs, K.~Orfanogiannaki, and S.~Valkaniotis.
-\newblock The large tsunami of 26 december 2004: Field observations and
-  eyewitnesses accounts from sri lanka, maldives is. and thailand.
-\newblock {\em Earth, Planets and Space}, 58:233--241, 2006.
-
-\bibitem{roberts06}
-Roberts S.G., O.M. Nielsen, and J.D. Jakeman.
-\newblock Simulation of tsunami and flash flood.
-\newblock Accepted for publication in the refereed proceedings of the
-  International Conference on High Performance Scientific Computing: Modeling,
-  Simulation and Optimization of Complex Processes, March 6-10, 2006, Hanoi
-  Vietnam, 2006.
-
-\bibitem{roberts00}
-Roberts S.G and C.~Zoppou.
-\newblock Robust and efficent solution of the 2d shallow water wave equation
-  with domains containg dry beds.
-\newblock {\em The ANZIAM Journal}, 42(E):C1260--C1282, 2000.
-
-\bibitem{synolakis07}
-C.E. Synolakis, E.N. Bernard, V.V. Titov, U.~Kanoglu, and F.I. Gonzalez.
-\newblock Standards,criteria and procedures for \textsc{NOAA} evaluation of
-  tsunami numerical models.
-\newblock Tecbical memorandum, Pacific Marine Environmental Laboratory,
-  Seattle, WA, USA, May 2007.
-
-\bibitem{kawata05}
-Kawata T.~et XIV~alia.
-\newblock Comprehensive analysis of the damage and its impact on coastal zones
-  by the 2004 {I}ndian {O}cean tsunami disaster.
-\newblock Technical report, Disaster Prevention Research Institute, 2005.
-\newblock http://www.tsunami.civil.tohoku.ac.jp/sumatra2004\\/report.html.
-
-\bibitem{fritz06}
-Fritz, Hermann M., Jose C. Borrero, Costas E. Synolakis, and Jeseon Yoo. 
-\newblock 2004 Indian Ocean tsunami flow velocity measurements from survivor videos
-\newblock {\em Geophys. Res. Lett.}, 33(L24605):1-5, 2006.
-
-\end{thebibliography}