Index: /anuga_core/install/winxp/INSTALL.STAGE1.V2.VISTA
===================================================================
--- /anuga_core/install/winxp/INSTALL.STAGE1.V2.VISTA	(revision 7182)
+++ /anuga_core/install/winxp/INSTALL.STAGE1.V2.VISTA	(revision 7182)
@@ -0,0 +1,62 @@
+######
+# How to install an ANUGA that uses numpy and handle large files.
+# This works on a Vista 32bit desktop.
+######
+
+######
+# Files here are often in *.zip form, for which there is no default
+# handler in XP/Vista.  As a last resort, get 7-zip from www.7-zip.org.
+######
+
+######
+# There are additional files in this directory that are not mentioned
+# below.  Don't use those files!
+######
+
+install python 2.5:
+    execute C:\python-2.5.4.msi
+    add ';C:\python25' to the end of the PATH environmental variable
+
+install the MinGW environment:
+    if you DON'T have an internet connection:
+        execute MinGW-3.1.0-1.exe
+    else:
+        execute MinGW-5.1.4.exe
+        . install MinGW base tools
+        . g++ compiler
+        . MinGW Make
+    add ';C:\MinGW\bin' to the end of the PATH environmental variable
+
+install numpy:
+    execute numpy-1.3.0-win32-superpack-python2.5.exe
+
+install NetCDF4:
+    Copy all DLL files in directory win32-netcdf4\dlls into C:\Windows\system32
+    Copy all H files in directory win32-netcdf4\includes into C:\netcdf4\include
+    Copy all EXE files in directory win32-netcdf4\bin into C:\netcdf4\bin
+    add ';C:\netcdf4\bin' to the end of the PATH environmental variable
+
+install ScientificPython:
+    execute ScientificPython-2.9.0.win32-py2.5.exe
+
+install psyco:
+    execute psyco-1.6.win32-py25.exe
+    
+install matplotlib:
+    execute matplotlib-0.98.5.2.win32-py2.4.exe
+    copy MSVCP71.DLL from directory msvcp71 into C:\windows\system32 (if it's not there already)
+
+get ANUGA source code:
+    copy sandpit/ga from an up-to-date sandpit to C:\sandpit
+
+to test all of ANUGA:
+    create a PYTHONPATH environment variable containing 'C:\sandpit\ga\branches\numpy'
+    cd C:\sandpit\ga\branches\numpy\anuga
+    python compile_all.py
+    python test_all.py
+    cd \
+
+to validate ANUGA:
+    cd C:\sandpit\ga\branches\numpy_anuga_validation\automated_validation_tests
+    python validate_all.py
+    cd \
Index: /anuga_core/install/winxp/INSTALL.STAGE1.V2.XP
===================================================================
--- /anuga_core/install/winxp/INSTALL.STAGE1.V2.XP	(revision 7182)
+++ /anuga_core/install/winxp/INSTALL.STAGE1.V2.XP	(revision 7182)
@@ -0,0 +1,70 @@
+######
+# How to install an ANUGA that uses numpy and handle large files.
+# This works on WinXP 32bit desktop.
+######
+
+######
+# Files here are often in *.zip form, for which there is no default
+# handler in XP.  As a last resort, get 7-zip from www.7-zip.org.
+######
+
+install python 2.5:
+    execute C:\python-2.5.4.msi
+    add ';C:\python25' to the end of the PATH environmental variable
+
+install the MinGW environment (requires an internet connection):
+    execute MinGW-5.1.4.exe
+    . install MinGW base tools
+    . g++ compiler
+    . MinGW Make
+    add ';C:\MinGW\bin' to the end of the PATH environmental variable
+
+install numpy:
+    execute numpy-1.3.0-win32-superpack-python2.5.exe
+
+install NetCDF4:
+    execute netCDF_binary_4.0.exe
+    add ';C:\netcdf4\bin' to the end of the PATH environmental variable
+
+install ScientificPython:
+    execute ScientificPython-2.9.0.win32-py2.5.exe
+    (this installer built using the 'minGW hack' environment)
+
+install psyco:
+    execute psyco-1.6.win32-py25.exe
+    
+install matplotlib:
+    execute matplotlib-0.98.5.2.win32-py2.5.exe
+    and put MSVCP71.DLL into C:\windows\system32
+    (possibly do DLL move in same installer as for netCDF)    
+
+get ANUGA source code:
+    cd \
+    svn co https://datamining.anu.edu.au/svn/ga
+  or:
+    cd \ga
+    svn up
+    cd \
+
+to test all of ANUGA:
+    create a PYTHONPATH environment variable containing 'C:\ga\branches\numpy'
+    cd ga\branches\numpy\anuga
+    python compile_all.py
+    python test_all.py				# OK
+    cd \
+
+to validate ANUGA:
+    cd ga\branches\numpy_anuga_validation\automated_validation_tests
+    python validate_all.py			# OK
+    cd \
+
+to test writing/reading large files:
+    cd \write_large_files
+    # create 3GiB file, 1x3GiB variables - open file 'w' - old, normal mode
+    python rwi_big_file.py -c s 3G		# OK
+    # create 3GiB file, 1x3GiB variables - open file 'wl' - large file mode
+    python rwil_big_file.py -c s 3G 	# OK
+    # create 3GiB file, 1x3GiB variables - open file 'w4' - netcdf4 mode, uses HDF5
+    python rwi4_big_file.py -c s 3G		# OK
+    cd \
+