Index: /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7182)
+++ /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7183)
@@ -141,25 +141,4 @@
 Eyewitness accounts detailed in~\cite{papadopoulos06} report that most people at Patong Beach observed an initial retreat of the shoreline of more than 100m followed a few minutes later by a strong wave (crest). Another less powerful wave arrived another five or ten minutes later. Eyewitness statements place the arrival time of the strong wave between 2 hours and 55 minutes to 3 hours and 5 minutes after the source rupture (09:55am to 10:05am local time). 
 
-\subsubsection{Video Evidence}
-Two videos were sourced from the internet which include footage of the tsunami in Patong Bay on the day of the Indian Ocean Tsunami. Both videos show an
-already inundated town, they then show what is to be assumed as the second and third waves approaching and further flooding the town. The first video
-is in the very north of the town filmed from what is believed to be the roof of the Novotel Hotel. The second video is in the very south of the town
-filmed from a building next door to the Comort Resort.The figure shows
-a video from from which we made our estimates. Crude flow rates can be
-estimated with landmarks and the use of a GIS and were found to be in
-the range of 5 to 7 metres per second (+/- 2 m/s) in the north and 0.5
-to 2 metres per second (+/- 1 m/s) in the south. This is in agreement
-with results from our simulations. Our modelled flow rates show
-maximum values in the order of 0.2 to 2.6 m/s in the south and 0.1 to
-3.3 m/s for the north as shown in the figures. Water depths could also be estimated from the videos by the level at which water rose up the sides of buildings such as shops. Our estimates are in the order of 1.5 to 2.0 metres (+/- 0.5 m). This is in the same range as our modelled maximum depths of 1.4 m in the north and 1.5 m in the south as seen in the figure. Fritz [20] did a detailed analysis of video frames taken around Banda Aceh and arrived at flow speeds in the range of 2 to 5 m/s.
-
-\begin{figure}[ht]
-\begin{center}
-\includegraphics[width=10.0cm,keepaspectratio=true]{gauges_hotels_speed.jpg}
-\includegraphics[width=10.0cm,keepaspectratio=true]{gauges_hotels_depths.jpg}
-\caption{modelled gauges near the hotels showing flow speed and depths.}
-\label{fig:hotel_guages}
-\end{center}
-\end{figure}
 
 \subsubsection{Inundation Survey}
@@ -305,5 +284,6 @@
 \begin{figure}[ht]
 \begin{center}
-%\includegraphics[width=7.0cm,keepaspectratio=true]{ }
+\includegraphics[width=10.0cm,keepaspectratio=true]{gauge_bay_depth.jpg}
+\includegraphics[width=10.0cm,keepaspectratio=true]{gauge_bay_speed.jpg}
 \caption{Timeseries obtained from the two offshore locations shown in Figure \protect \ref{fig_gauge_locations}}
 \label{fig:offshore_timeseries}
@@ -313,9 +293,35 @@
 \begin{figure}[ht]
 \begin{center}
-%\includegraphics[width=7.0cm,keepaspectratio=true]{ }
+\includegraphics[width=10.0cm,keepaspectratio=true]{gauges_hotels_depths.jpg}
+\includegraphics[width=10.0cm,keepaspectratio=true]{gauges_hotels_speed.jpg}
 \caption{Timeseries obtained from the two onshore locations shown in Figure \protect \ref{fig_gauge_locations}}
 \label{fig:onshore_timeseries}
 \end{center}
 \end{figure}
+
+\subsubsection{Video Evidence}
+Two videos were sourced from the internet which include footage of the tsunami in Patong Bay on the day of the Indian Ocean Tsunami. Both videos show an
+already inundated town, they then show what is to be assumed as the second and third waves approaching and further flooding the town. The first video
+is in the very north filmed from what is believed to be the roof of the Novotel Hotel. The second video is in the very south
+filmed from a building next door to the Comort Resort. Figure 11 shows a video taken near the corner of Ruam Chai St. from which we made our estimates.
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=6.0cm,keepaspectratio=true]{flow_rate_south_0_00sec.jpg}
+\includegraphics[width=6.0cm,keepaspectratio=true]{flow_rate_south_5_04sec.jpg}
+\includegraphics[width=6.0cm,keepaspectratio=true]{flow_rate_south_7_12sec.jpg}
+\includegraphics[width=6.0cm,keepaspectratio=true]{flow_rate_south_7_60sec.jpg}
+\caption{four frames from a video where flow rate could be estimated, circle indicates tracked debris, clockwise from top left: 0.0 sec, 5.0 s, 7.1 s, 7.6 s.}
+\label{fig:video_flow}
+\end{center}
+\end{figure}
+
+
+Crude flow rates can be estimated with landmarks found in satellite imagery and the use of a GIS and were found to be in
+the range of 5 to 7 metres per second (+/- 2 m/s) in the north and 0.5 to 2 metres per second (+/- 1 m/s) in the south. This is in agreement
+with results from our simulations. Our modelled flow rates show maximum values in the order of 0.2 to 2.6 m/s in the south and 0.1 to
+3.3 m/s for the north as shown in the figures. Water depths could also be estimated from the videos by the level at which water rose up the sides of buildings such as shops. Our estimates are in the order of 1.5 to 2.0 metres (+/- 0.5 m). This is in the same range as our modelled maximum depths of 1.4 m in the north and 1.5 m in the south as seen in the figure. Fritz ~\cite{fritz06} did a detailed analysis of video frames taken around Banda Aceh and arrived at flow speeds in the range of 2 to 5 m/s.
+
 
 