Index: /branches/numpy_anuga_validation/automated_validation_tests/UQ_runup_2006/Dam break_240406_0011.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/UQ_runup_2006/Dam break_240406_0011.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/UQ_runup_2006/Dam break_240406_0011.lic	(revision 7184)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Duncan Gray</author>
Index: /branches/numpy_anuga_validation/automated_validation_tests/UQ_runup_2006/actual.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/UQ_runup_2006/actual.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/UQ_runup_2006/actual.lic	(revision 7184)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Duncan Gray</author>
Index: /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_Bathymetry.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_Bathymetry.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_Bathymetry.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_input.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_input.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_input.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/output_ch5-7-9.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/output_ch5-7-9.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/okushiri_tank_validation/output_ch5-7-9.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>output_ch5-7-9.txt</filename>
-    <checksum>-1044604103</checksum>
+    <checksum>3250363193</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/boundary_gauges.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/boundary_gauges.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/boundary_gauges.lic	(revision 7184)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Duncan Gray</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>boundary_gauges.txt</filename>
-      <checksum>-1553233046</checksum>
+      <checksum>2741734250</checksum>
       <publishable>Yes</publishable>
       <accountable>Duncan Gray</accountable>
Index: /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/gauges.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/gauges.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/gauges.lic	(revision 7184)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Duncan Gray</author>
Index: /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-e-mux.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-e-mux.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-e-mux.lic	(revision 7184)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Duncan Gray</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>o_test-e-mux</filename>
-      <checksum>-1664514244</checksum>
+      <checksum>2630453052</checksum>
       <publishable>Yes</publishable>
       <accountable>Duncan Gray</accountable>
Index: /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-n-mux.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-n-mux.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-n-mux.lic	(revision 7184)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Duncan Gray</author>
Index: /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-z-mux.lic
===================================================================
--- /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-z-mux.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/automated_validation_tests/urs_mux_files_validation/o_test-z-mux.lic	(revision 7184)
@@ -1,5 +1,4 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-  <ga_license_file>
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
     <metadata>
       <author>Duncan Gray</author>
@@ -7,5 +6,5 @@
     <datafile>
       <filename>o_test-z-mux</filename>
-      <checksum>-1449856062</checksum>
+      <checksum>2845111234</checksum>
       <publishable>Yes</publishable>
       <accountable>Duncan Gray</accountable>
Index: /branches/numpy_anuga_validation/okushiri_2005/Benchmark_2_Bathymetry.lic
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/Benchmark_2_Bathymetry.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/Benchmark_2_Bathymetry.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>Benchmark_2_Bathymetry.txt</filename>
-    <checksum>-1310724450</checksum>
+    <checksum>2984242846</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /branches/numpy_anuga_validation/okushiri_2005/Benchmark_2_input.lic
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/Benchmark_2_input.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/Benchmark_2_input.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /branches/numpy_anuga_validation/okushiri_2005/compare_timeseries.py
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/compare_timeseries.py	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/compare_timeseries.py	(revision 7184)
@@ -5,5 +5,5 @@
 """
 
-from Numeric import allclose, argmin, argmax
+import numpy as num
 from Scientific.IO.NetCDF import NetCDFFile
 
@@ -55,5 +55,6 @@
 
 for i, line in enumerate(lines[1:]):
-    if i == len(input_time): break
+    if i 
+    import numpy as num== len(input_time): break
     
     fields = line.split()
@@ -68,5 +69,5 @@
 assert reference_time[0] == 0.0
 assert reference_time[-1] == finaltime
-assert allclose(reference_time, input_time)
+assert num.allclose(reference_time, input_time)
 
 for key in gauge_names:
@@ -144,12 +145,12 @@
 
     # Locations of extrema
-    i0 = argmax(observed_timeseries)
-    i1 = argmax(model)
+    i0 = num.argmax(observed_timeseries)
+    i1 = num.argmax(model)
     res = abs(reference_time[i1] - reference_time[i0])
     print 'Timelag between maxima = %.18e' %res
     
 
-    i0 = argmin(observed_timeseries)
-    i1 = argmin(model)
+    i0 = num.argmin(observed_timeseries)
+    i1 = num.argmin(model)
     res = abs(reference_time[i1] - reference_time[i0])
     print 'Timelag between minima = %.18e' %res
Index: /branches/numpy_anuga_validation/okushiri_2005/create_okushiri.py
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/create_okushiri.py	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/create_okushiri.py	(revision 7184)
@@ -1,7 +1,4 @@
 """Create mesh and time boundary for the Okushiri island validation
 """
-
-
-from Numeric import array, zeros, Float, allclose
 
 from anuga.pmesh.mesh import *
@@ -9,4 +6,6 @@
 from anuga.coordinate_transforms.geo_reference import Geo_reference
 from anuga.geospatial_data import Geospatial_data
+
+from Scientific.IO.NetCDF import NetCDFFile
 
 import project
@@ -51,8 +50,4 @@
     """
 
-    from Scientific.IO.NetCDF import NetCDFFile
-    from Numeric import array
-
-
     print 'Creating', filename
 
@@ -69,6 +64,6 @@
 
     N = len(lines)
-    T = zeros(N, Float)  #Time
-    Q = zeros(N, Float)  #Values
+    T = num.zeros(N, num.float)  #Time
+    Q = num.zeros(N, num.float)  #Values
 
     for i, line in enumerate(lines):
@@ -86,14 +81,14 @@
     fid.starttime = 0.0
     fid.createDimension('number_of_timesteps', len(T))
-    fid.createVariable('time', Float, ('number_of_timesteps',))
+    fid.createVariable('time', netcdf_float, ('number_of_timesteps',))
     fid.variables['time'][:] = T
 
-    fid.createVariable('stage', Float, ('number_of_timesteps',))
+    fid.createVariable('stage', netcdf_float, ('number_of_timesteps',))
     fid.variables['stage'][:] = Q[:]
 
-    fid.createVariable('xmomentum', Float, ('number_of_timesteps',))
+    fid.createVariable('xmomentum', netcdf_float, ('number_of_timesteps',))
     fid.variables['xmomentum'][:] = 0.0
 
-    fid.createVariable('ymomentum', Float, ('number_of_timesteps',))
+    fid.createVariable('ymomentum', netcdf_float, ('number_of_timesteps',))
     fid.variables['ymomentum'][:] = 0.0
 
Index: /branches/numpy_anuga_validation/okushiri_2005/create_okushiri_original.py
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/create_okushiri_original.py	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/create_okushiri_original.py	(revision 7184)
@@ -2,8 +2,10 @@
 """
 
-from Numeric import array, zeros, Float, allclose
+import numpy as num
+from Scientific.IO.NetCDF import NetCDFFile
 
 from anuga.pmesh.mesh import *
 from anuga.coordinate_transforms.geo_reference import Geo_reference
+from anuga.config import netcdf_float
 
 import project
@@ -19,5 +21,4 @@
 
     print 'Preparing time boundary from %s' %textversion
-    from Numeric import array
 
     fid = open(textversion)
@@ -32,6 +33,6 @@
 
     N = len(lines)
-    T = zeros(N, Float)  #Time
-    Q = zeros(N, Float)  #Values
+    T = num.zeros(N, num.float)  #Time
+    Q = num.zeros(N, num.float)  #Values
 
     for i, line in enumerate(lines):
@@ -43,6 +44,4 @@
 
     #Create tms file
-    from Scientific.IO.NetCDF import NetCDFFile
-
     print 'Writing to', filename
     fid = NetCDFFile(filename, 'w')
@@ -52,14 +51,14 @@
     fid.starttime = 0.0
     fid.createDimension('number_of_timesteps', len(T))
-    fid.createVariable('time', Float, ('number_of_timesteps',))
+    fid.createVariable('time', netcdf_float, ('number_of_timesteps',))
     fid.variables['time'][:] = T
 
-    fid.createVariable('stage', Float, ('number_of_timesteps',))
+    fid.createVariable('stage', netcdf_float, ('number_of_timesteps',))
     fid.variables['stage'][:] = Q[:]
 
-    fid.createVariable('xmomentum', Float, ('number_of_timesteps',))
+    fid.createVariable('xmomentum', netcdf_float, ('number_of_timesteps',))
     fid.variables['xmomentum'][:] = 0.0
 
-    fid.createVariable('ymomentum', Float, ('number_of_timesteps',))
+    fid.createVariable('ymomentum', netcdf_float, ('number_of_timesteps',))
     fid.variables['ymomentum'][:] = 0.0
 
@@ -226,5 +225,4 @@
     m.generateMesh('pzq28.0za1000000a')
 
-    import project
     m.export_mesh_file(project.mesh_filename)
     
Index: /branches/numpy_anuga_validation/okushiri_2005/output_ch5-7-9.lic
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/output_ch5-7-9.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/output_ch5-7-9.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -19,5 +18,5 @@
   <datafile>
     <filename>output_ch5-7-9.txt</filename>
-    <checksum>-1044604103</checksum>
+    <checksum>3250363193</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /branches/numpy_anuga_validation/okushiri_2005/problem02.lic
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/problem02.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/problem02.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>problem02.doc</filename>
-    <checksum>-1811884659</checksum>
+    <checksum>2483082637</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /branches/numpy_anuga_validation/okushiri_2005/test_caching_of_set_quantity.py
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/test_caching_of_set_quantity.py	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/test_caching_of_set_quantity.py	(revision 7184)
@@ -16,5 +16,5 @@
 from anuga.fit_interpolate.fit import _fit_to_mesh
 import project
-import Numeric as num
+import numpy as num
 import time
 
Index: /branches/numpy_anuga_validation/okushiri_2005/timings.lic
===================================================================
--- /branches/numpy_anuga_validation/okushiri_2005/timings.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/okushiri_2005/timings.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>timings.txt</filename>
-    <checksum>-1935951304</checksum>
+    <checksum>2359015992</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2.lic
===================================================================
--- /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2_Bathymetry.lic
===================================================================
--- /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2_Bathymetry.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2_Bathymetry.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2_input.lic
===================================================================
--- /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2_input.lic	(revision 7183)
+++ /branches/numpy_anuga_validation/performance_tests/okushiri/Benchmark_2_input.lic	(revision 7184)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>Benchmark_2_input.tms</filename>
-    <checksum>-725631838</checksum>
+    <checksum>3569335458</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>