Index: anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7186)
+++ anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7187)
@@ -228,5 +228,6 @@
 \end{figure}
 
-The domain was discretised into approximately 350,000 triangles. The resolution of the grid was increased in certain regions to efficiently increase the accuracy of the simulation. The grid resolution ranged between a maximum triangle area of $1\times 10^5$ m$^2$ near the Western ocean boundary to $3$ m$^2$ in the small regions surrounding the inundation region in Patong Bay. Due to a lack of available data, friction was set to a constant throughout the computational domain. For the reference simulation a Manning's coefficient of 0.01 was chosen based upon previous numerical experiments conducted by the authors (FIXME: Citation Tom Baldock?? Or Duncan??).
+The domain was discretised into approximately 350,000 triangles. The resolution of the grid was increased in certain regions to efficiently increase the accuracy of the simulation. The grid resolution ranged between a maximum triangle area of $1\times 10^5$ m$^2$ near the Western ocean boundary to $3$ m$^2$ in the small regions surrounding the inundation region in Patong Bay. Due to a lack of available data, friction was set to a constant throughout the computational domain. For the reference simulation a Manning's coefficient of 0.01 was chosen to represent a small resistance to the water flow. See Section \ref{sec:friction sensitivity} for details on model sensitivity to this parameter. 
+
 
 The boundary condition at each side of the domain towards the south and the north where no data was available was chosen as a transmissive boundary condition effectively replicating the time dependent wave height present just inside the computational domain. Momentum was set to zero. Other choices include applying the mean tide value as a Dirichlet type boundary condition but experiments as well as the result of the verification reported here showed that this approach tends to under estimate the tsunami impact due to the tempering of the wave near the side boundaries. 
@@ -271,5 +272,5 @@
 
 Figure \ref{fig:gauge_locations} shows four locations where time series have been extracted from the model. The two offshore timeseries are shown in Figure \ref{fig:offshore_timeseries} and
-the two onshore timeseries are shown in Figure \ref{fig:onshore_timeseres}. The latter coincide with locations where video footage from the event is available.
+the two onshore timeseries are shown in Figure \ref{fig:onshore_timeseries}. The latter coincide with locations where video footage from the event is available.
 
 \begin{figure}[ht]
@@ -286,7 +287,7 @@
 \includegraphics[width=10.0cm,keepaspectratio=true]{gauge_bay_depth.jpg}
 \includegraphics[width=10.0cm,keepaspectratio=true]{gauge_bay_speed.jpg}
-\caption{Timeseries obtained from the two offshore locations shown in Figure \protect \ref{fig_gauge_locations}}
+\caption{Timeseries obtained from the two offshore locations shown in Figure \protect \ref{fig:gauge_locations}}
+\end{center}
 \label{fig:offshore_timeseries}
-\end{center}
 \end{figure}
 
@@ -295,7 +296,7 @@
 \includegraphics[width=10.0cm,keepaspectratio=true]{gauges_hotels_depths.jpg}
 \includegraphics[width=10.0cm,keepaspectratio=true]{gauges_hotels_speed.jpg}
-\caption{Timeseries obtained from the two onshore locations shown in Figure \protect \ref{fig_gauge_locations}}
+\caption{Timeseries obtained from the two onshore locations shown in Figure \protect \ref{fig:gauge_locations}}
+\end{center}
 \label{fig:onshore_timeseries}
-\end{center}
 \end{figure}
 
@@ -333,5 +334,6 @@
 %========================Friction==========================%
 \subsection{Friction}
-The first study investigated the impact of surface roughness on the predicted run-up. According to Schoellte~\cite{schoettle2007} appropriate values of Manning's coefficient range from 0.007 to 0.030 for tsunami propagation over a sandy sea floor.  Consequently we simulated the maximum onshore inundation using the a Manning's coefficient of 0.0003 and 0.03. The resulting run-up is shown in Figures
+\label{sec:friction sensitivity}
+The first study investigated the impact of surface roughness on the predicted run-up. According to Schoettle~\cite{schoettle2007} appropriate values of Manning's coefficient range from 0.007 to 0.030 for tsunami propagation over a sandy sea floor.  Consequently we simulated the maximum onshore inundation using the a Manning's coefficient of 0.0003 and 0.03. The resulting run-up is shown in Figures
 \ref{fig:sensitivity_friction} and  the maximum flow speeds\ref{fig:sensitivity_friction_speed}. These figurers show that the on-shoer inundation extent decreases with increasing friction and that small perturbations in the friction cause bounded changes in the output. This is consistent with the conclusions of Synolakis~\cite{synolakis05} who states that the long wavelength of tsunami tends to mean that the friction is less important in comparison to the motion of the wave.
 
Index: anuga_work/publications/boxing_day_validation_2008/tsunami07.bib
===================================================================
--- anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7186)
+++ anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7187)
@@ -1098,6 +1098,6 @@
 pages = {1--5},
 OPTdoi = {10.1029/2006GL026784},
-
-}
+}
+
 @ARTICLE{szczucinski06,
 AUTHOR = {Szczucinski, W. and Chaimanee, N. and Niedzielski, P. and 
@@ -1110,2 +1110,3 @@
 NUMBER ={5},
 PAGES = {793--810}
+}