Index: anuga_core/documentation/user_manual/toolgraphics/eventselection/eventselection.lic
===================================================================
--- anuga_core/documentation/user_manual/toolgraphics/eventselection/eventselection.lic	(revision 7191)
+++ anuga_core/documentation/user_manual/toolgraphics/eventselection/eventselection.lic	(revision 7191)
@@ -0,0 +1,78 @@
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  <datafile>
+    <filename>event1.png</filename>
+    <checksum>-1009075256</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>event2.png</filename>
+    <checksum>1804776875</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>event3.png</filename>
+    <checksum>983024727</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>event4.png</filename>
+    <checksum>-1976300666</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>event5.png</filename>
+    <checksum>-589257133</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>event6.png</filename>
+    <checksum>1257627752</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>event7.png</filename>
+    <checksum>-1969936737</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>event8.png</filename>
+    <checksum>359758113</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+</ga_license_file>
Index: anuga_core/documentation/user_manual/toolgraphics/plotcsv/plotcsv.lic
===================================================================
--- anuga_core/documentation/user_manual/toolgraphics/plotcsv/plotcsv.lic	(revision 7191)
+++ anuga_core/documentation/user_manual/toolgraphics/plotcsv/plotcsv.lic	(revision 7191)
@@ -0,0 +1,78 @@
+<?xml version='1.0' encoding='iso-8859-1'?>
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  <datafile>
+    <filename>1.png</filename>
+    <checksum>293585227</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>2.png</filename>
+    <checksum>1799886208</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>3.png</filename>
+    <checksum>962451637</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>4.png</filename>
+    <checksum>-98608764</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>5.png</filename>
+    <checksum>-1283934544</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>6.png</filename>
+    <checksum>119661274</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>7.png</filename>
+    <checksum>-806963171</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+  <datafile>
+    <filename>8.png</filename>
+    <checksum>827866285</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Created for the ANUGA internal tools manual</IP_info>
+  </datafile>
+</ga_license_file>